unit DSEd;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DB, Grids, DBGrids, PropEd, DBTables;

type
  TDSEdit = class(TForm)
    DBGrid1: TDBGrid;
    DataSource1: TDataSource;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    Procedure EditIt(Sender : TObject);
    { Public declarations }
  end;


implementation
{$R *.DFM}

Procedure TDSEdit.EditIt(Sender : TObject);
var DSE : TDSEdit;
Begin
  DSE := TDSEdit.Create(Application);
  If (Sender as TDataSet).active = false then begin
    If MessageDlg('This table is inactive. Do you want to activate it?',
         mtConfirmation, [mbYes, mbNo], 0) = mrYes then
           (Sender as TDataSet).active := true else exit;
  End;
  DSE.DataSource1.Dataset := (Sender as TDataSet);
  DSE.DataSource1.Enabled := True;
  DSE.DBGrid1.Enabled := True;
  DSE.Caption := (sender as tdataset).name;

  If dse.caption = '' then if
    sender is ttable then dse.caption := (sender as tTable).Tablename;
  DSE.Show;
End;
procedure TDSEdit.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Sender.Free;
end;
var dse : tdsedit;
begin
  RegisterPropEd(TDataSet, DSE.Editit);
end.
